booster::log::sinks::standard_error Class Reference

stderr based sink - sends messages to standard error output More...

`#include <booster/booster/log.h>`

Inheritance diagram for booster::log::sinks::standard_error:

## Public Member Functions

virtual void | log (message const &)

## Detailed Description

stderr based sink - sends messages to standard error output

## Member Function Documentation

virtual void booster::log::sinks::standard_error::log | ( | message const & | m | ) |

virtual

Send the message m to log

Note: it does not have to be thread safe - in terms that only one message is sent each time and it is promised that are not sent in parallel

Implements booster::log::sink.

The documentation for this class was generated from the following file:

- booster/log.h